Successful pilot of Discourse on https://discourse.wmflabs.org/ as an alternative to wikimedia-l mailinglist
Open, Needs TriagePublic

Description


Hold a succesful pilot of Discourse on https://discourse.wmflabs.org/ as an alternative to wikimedia-l mailinglist.

This is a tracking ticket. Please create a ticket for anything that blocks discourse.wmflabs.org to be a succesful pilot as an alternative to wikimedia-l mailinglist.

User stories:

  • As a Wikimedian I want to share news about what is going on in the movement with involved other Wikimedians so that those Wikimedians stay informed about what is going on
  • As a Wikimedian I want to raise an issue to be discussed with fellow Wikimedians so that fellow Wikimedians can share their opinion
  • As a Wikimedian I want to announce changes in the composition of boards of chapters and commission so that outgoing officers can be thanked and incoming officers can be welcomed

Wish list and other requirements for a discourse platform for Wikimedians

  • # Free and open software
  • # Free license
  • # Multi lingual interface
  • # Primary discussion language English - optionally: multilingual discussion
  • # Single Sign On (SSO): someone with a Wikimedia account should be able to sign in to Discourse with that account (just like Phabricator); or "OAuth integration with MediaWiki credentials."
  • # Email in topics
  • # Archive / export / download all posts by all users (On Discourse users can export to .csv and download all of their own posts and replies)

Links to projectpages

AdHuikeshoven updated the task description. (Show Details)
AdHuikeshoven raised the priority of this task from to Needs Triage.
AdHuikeshoven added a subscriber: AdHuikeshoven.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 25 2016, 7:23 PM
Aklapper set Security to None.
Steko added a subscriber: Steko.Jan 26 2016, 9:20 PM
AdHuikeshoven renamed this task from Succesful pilot of Discourse on discourse.wmflabs.org as an alternative to wikimedia-l mailinglist to Succesful pilot of Discourse on http://discourse.wmflabs.org/ as an alternative to wikimedia-l mailinglist.Jan 26 2016, 10:18 PM
AdHuikeshoven updated the task description. (Show Details)
AdHuikeshoven renamed this task from Succesful pilot of Discourse on http://discourse.wmflabs.org/ as an alternative to wikimedia-l mailinglist to Succesful pilot of Discourse on https://discourse.wmflabs.org/ as an alternative to wikimedia-l mailinglist.

As an admin at https://discourse.wmflabs.org/ I just upgraded the Discourse installation. Discourse has two kinds of sysops "admin" and "moderator". I haven't found out yet if someone with "moderator" rights can upgrade the installation or not. This is something to be aware of that an "admin" can at the browser interface of Discourse with a single mouse click start an upgrade.

Steko added a comment.Jan 27 2016, 7:42 PM

No, moderators have quite limited rights, they are more similar to wiki Administrators than sysadmins and have no control over system upgrade and configuration. Furthermore the role of moderator can be restricted to single categories. You can see this thread for a more detailed discussion.

Tgr added a subscriber: Tgr.Jan 28 2016, 5:49 PM
jayvdb added a subscriber: jayvdb.Jan 28 2016, 10:02 PM

https://discourse.wmflabs.org/ is currently down: 502 Bad Gateway

https://discourse.wmflabs.org/ is currently down: 502 Bad Gateway

T126191 has been resolved

AdHuikeshoven updated the task description. (Show Details)Feb 8 2016, 9:36 PM
EBernhardson updated the task description. (Show Details)Feb 13 2016, 7:36 AM
Steko added a comment.Feb 13 2016, 8:12 AM

Re: Multi lingual interface. Discourse has an internationalised interface, admins can choose the default language but users are able to change to their language of choice from the preferences dialog.

Re: Multi lingual interface. Discourse has an internationalised interface, admins can choose the default language but users are able to change to their language of choice from the preferences dialog.

Yes, that is true. In the english interface instances of 'badge' have been replaces with 'barnstar' (most of them). The equivalent hasn't been done in other languages.

Elitre added a subscriber: Elitre.Feb 25 2016, 2:21 PM
fbstj awarded a token.Mar 8 2016, 10:58 AM
Rillke added a subscriber: Rillke.Mar 18 2016, 7:26 PM

discourse has too many weak points imo:

  1. it is not a proper mailing list server. it e.g. reformats mails, cuts out email adresses etc
  2. it is not clear why this should be better than a mailing list
  3. the mobile interface has a small font and big everything else, eating up screen space
  4. resizing text in mobile is not possible
  5. it is slow, and an additional web page

to sum up: if you want to reach people, reach them where the are already, do not invent something new which is worse than everything else used. something like facebook, posting, liking, voting, etc would be nice. if we want to improve mailing lists, expanding mailman seems much more appropriate.

jayvdb renamed this task from Succesful pilot of Discourse on https://discourse.wmflabs.org/ as an alternative to wikimedia-l mailinglist to Successful pilot of Discourse on https://discourse.wmflabs.org/ as an alternative to wikimedia-l mailinglist.Mar 21 2016, 1:50 PM
jayvdb updated the task description. (Show Details)
-jem- added a subscriber: -jem-.Mar 28 2016, 7:03 PM
Pine awarded a token.Jun 21 2016, 12:34 AM

+1, is much better then mailman.

Dzahn added a subscriber: Dzahn.

You now have the mailman list called "discourse" to test syncing.

https://discourse.wmflabs.org seems to not be working at the moment ("504 Gateway Time-out").

Dzahn removed a subscriber: Dzahn.Sep 13 2016, 4:08 PM

It's up again now (but only recently I think?).

Nemo_bis closed this task as Invalid.Mar 14 2017, 3:39 PM
Nemo_bis added a subscriber: Nemo_bis.

The instance has been inactive for several months now (cf. 159, home page), so the assessment/experimenting phase seems over.

If this is going to be closed, then I guess the subtasks should also be closed as invalid? And the discourse installation updated to say that it's over (and maybe set to readonly)?

Tgr reopened this task as Open.Mar 15 2017, 2:03 AM

Closing as invalid does not seem to make much sense. Either the pilot is done (and I'd rather leave it to @AdHuikeshoven to decide that), in which case the task can be resolved (and child tasks might get declined or kept open depending on the outcome of the pilot); or it's not done, in which case it can be kept open.

Nemo_bis removed a subscriber: Nemo_bis.Mar 15 2017, 7:38 AM

I contributes to Discourse features continuously as well as an Wikimedia User Group China. If you'd like some connections to Discourse team or technical problems, feel free to mention me.

Qgil added a subscriber: Qgil.Nov 2 2017, 8:13 AM
Qgil added a comment.Nov 2 2017, 9:22 AM

Discourse advocates might be interested in the possibility to use it in Wikimedia to handle developer support -- see T155678#3728874.

  1. Multi lingual interface

It already has it? "Interface language" at the top of https://discourse.wmflabs.org/u/yourusername/preferences/interface

fantasticfears added a comment.EditedMon, Nov 20, 7:18 AM

As far as I remember, Discourse has a PHP SSO example. It will be super easy to use. But it doesn’t have Unicode username support.